## nsxiv 30

=== Makefile ===
.POSIX:

include config.mk

inc_fonts_0 =
inc_fonts_1 = -I/usr/include/freetype2 -I$(PREFIX)/include/freetype2
lib_fonts_0 =
lib_fonts_1 = -lXft -lfontconfig
lib_exif_0 =
lib_exif_1 = -lexif
lib_gif_0 =
lib_gif_1 = -lgif
lib_webp_0 =
lib_webp_1 = -lwebpdemux -lwebp

nsxiv_cppflags = -D_XOPEN_SOURCE=700 \
  -DHAVE_LIBGIF=$(HAVE_LIBGIF) -DHAVE_LIBEXIF=$(HAVE_LIBEXIF) \
  -DHAVE_LIBWEBP=$(HAVE_LIBWEBP) -DHAVE_LIBFONTS=$(HAVE_LIBFONTS) \
  -DHAVE_INOTIFY=$(HAVE_INOTIFY) $(inc_fonts_$(HAVE_LIBFONTS)) \
  $(CPPFLAGS)

nsxiv_ldlibs = -lImlib2 -lX11 \
  $(lib_exif_$(HAVE_LIBEXIF)) $(lib_gif_$(HAVE_LIBGIF)) \
  $(lib_webp_$(HAVE_LIBWEBP)) $(lib_fonts_$(HAVE_LIBFONTS)) \
  $(LDLIBS)

objs = autoreload.o commands.o image.o main.o options.o \
  thumbs.o util.o window.o

.SUFFIXES:
.SUFFIXES: .c .o

all: nsxiv

nsxiv: $(objs)
	@echo "LINK $@"
	$(CC) $(LDFLAGS) -o $@ $(objs) $(nsxiv_ldlibs)

.c.o:
	@echo "CC $@"
	$(CC) $(CFLAGS) $(nsxiv_cppflags) -c -o $@ $<

$(objs): Makefile config.mk nsxiv.h config.h commands.h
options.o: version.h
window.o: icon/data.h utf8.h

config.h:
	@echo "GEN $@"
	cp config.def.h $@

version.h: config.mk .git/index
	@echo "GEN $@"
	v="$$(git describe 2>/dev/null || true)"; \
	echo "#define VERSION \"$${v:-$(VERSION)}\"" >$@

.git/index:

clean:
	rm -f *.o nsxiv version.h

install-all: install install-desktop install-icon

install-desktop:
	@echo "INSTALL nsxiv.desktop"
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	cp nsxiv.desktop $(DESTDIR)$(PREFIX)/share/applications

install-icon:
	@echo "INSTALL icon"
	for f in $(ICONS); do \
		dir="$(DESTDIR)$(PREFIX)/share/icons/hicolor/$${f%.png}/apps"; \
		mkdir -p "$$dir"; \
		cp "icon/$$f" "$$dir/nsxiv.png"; \
		chmod 644 "$$dir/nsxiv.png"; \
	done

uninstall-icon:
	@echo "REMOVE icon"
	for f in $(ICONS); do \
		dir="$(DESTDIR)$(PREFIX)/share/icons/hicolor/$${f%.png}/apps"; \
		rm -f "$$dir/nsxiv.png"; \
	done

install: all
	@echo "INSTALL bin/nsxiv"
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp nsxiv $(DESTDIR)$(PREFIX)/bin/
	chmod 755 $(DESTDIR)$(PREFIX)/bin/nsxiv
	@echo "INSTALL nsxiv.1"
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s!EGPREFIX!$(EGPREFIX)!g; s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" nsxiv.1 \
		>$(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
	@echo "INSTALL share/nsxiv/"
	mkdir -p $(DESTDIR)$(EGPREFIX)
	cp examples/* $(DESTDIR)$(EGPREFIX)
	chmod 755 $(DESTDIR)$(EGPREFIX)/*

uninstall: uninstall-icon
	@echo "REMOVE bin/nsxiv"
	rm -f $(DESTDIR)$(PREFIX)/bin/nsxiv
	@echo "REMOVE nsxiv.1"
	rm -f $(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
	@echo "REMOVE nsxiv.desktop"
	rm -f $(DESTDIR)$(PREFIX)/share/applications/nsxiv.desktop
	@echo "REMOVE share/nsxiv/"
	rm -rf $(DESTDIR)$(EGPREFIX)

=== debian/changelog ===
nsxiv (30-1) unstable; urgency=medium

  * New upstream version 30
  * d/control:
    - Declare compliance with Debian Policy 4.6.1
  * d/{control,copyright,upstream/metadata}:
    - Refresh upstream homepage
  * d/patches:
    - Refresh patches due to upstream changes
    - Add patch makefile-append-cflags
    - Add patch webp-file-not-closed-properly (Closes: #1013149)
      (Thanks to Edgar Yllescas for providing the patch)
    - Reorder patches
  * d/copyright: Refresh copyright for renamed/deleted files

 -- Nick Morrott <nickm@debian.org>  Thu, 11 Aug 2022 22:26:05 +0100

nsxiv (29-3) unstable; urgency=medium

  * d/control:
    - Correct upstream Homepage
  * d/patches:
    - Add patch fix-animated-webp-loading (Closes: #1009973)
      (Thanks to Edgar Yllescas for providing the patch)

 -- Nick Morrott <nickm@debian.org>  Sun, 24 Apr 2022 05:08:50 +0100

nsxiv (29-2) unstable; urgency=medium

  * debian/nsxiv.mime: sync supported MIME types with nsxiv.desktop
    (Closes: #1009157)

 -- Nick Morrott <nickm@debian.org>  Fri, 15 Apr 2022 22:46:15 +0100

nsxiv (29-1) unstable; urgency=medium

  * Initial release (Closes: #1007918)

 -- Nick Morrott <nickm@debian.org>  Sat, 26 Mar 2022 23:17:17 +0000

=== debian/control ===
Source: nsxiv
Section: graphics
Priority: optional
Maintainer: Nick Morrott <nickm@debian.org>
Build-Depends: debhelper-compat (=13),
               libexif-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgif-dev,
               libimlib2-dev,
               libinotifytools0-dev,
               libwebp-dev,
               libxft-dev
Standards-Version: 4.6.1
Homepage: https://codeberg.org/nsxiv/nsxiv
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/nickm/nsxiv.git
Vcs-Browser: https://salsa.debian.org/nickm/nsxiv

Package: nsxiv
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: imagemagick,
          libjpeg-progs,
          rawtherapee,
          xclip
Description: neo simple X image viewer
 nsxiv (the Neo Simple X Image Viewer) is a fork of the now-unmaintained
 sxiv project, with the purpose of being a drop-in replacement for sxiv,
 maintaining its interface, and adding simple, sensible features. nsxiv aims
 to be easy to modify and customise, and works nicely with tiling window
 managers.
 .
 Features:
 .
  - Basic image operations, e.g. zooming, panning, rotating
  - Customizable key and mouse button mappings
  - Scriptable via configuration files
  - Thumbnail mode: grid of selectable previews of all images
  - Ability to cache thumbnails for fast re-loading
  - Basic support for animated/multi-frame images (GIF/WebP)
  - Display image information in status bar
  - Display image name/path in X title

## nsxiv 31

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(CC) $(CFLAGS) $(nsxiv_cppflags) -c -o $@ $<
 
 $(objs): Makefile config.mk nsxiv.h config.h commands.h
-options.o: version.h
+options.o: version.h optparse.h
 window.o: icon/data.h utf8.h
 
 config.h:
@@ -55,6 +55,9 @@
 
 .git/index:
 
+dump_cppflags:
+	@echo $(nsxiv_cppflags)
+
 clean:
 	rm -f *.o nsxiv version.h
 
@@ -63,7 +66,7 @@
 install-desktop:
 	@echo "INSTALL nsxiv.desktop"
 	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
-	cp nsxiv.desktop $(DESTDIR)$(PREFIX)/share/applications
+	cp etc/nsxiv.desktop $(DESTDIR)$(PREFIX)/share/applications
 
 install-icon:
 	@echo "INSTALL icon"
@@ -88,12 +91,12 @@
 	chmod 755 $(DESTDIR)$(PREFIX)/bin/nsxiv
 	@echo "INSTALL nsxiv.1"
 	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
-	sed "s!EGPREFIX!$(EGPREFIX)!g; s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" nsxiv.1 \
-		>$(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
+	sed "s!EGPREFIX!$(EGPREFIX)!g; s!PREFIX!$(PREFIX)!g; s!VERSION!$(VERSION)!g" \
+		etc/nsxiv.1 >$(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
 	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/nsxiv.1
 	@echo "INSTALL share/nsxiv/"
 	mkdir -p $(DESTDIR)$(EGPREFIX)
-	cp examples/* $(DESTDIR)$(EGPREFIX)
+	cp etc/examples/* $(DESTDIR)$(EGPREFIX)
 	chmod 755 $(DESTDIR)$(EGPREFIX)/*
 
 uninstall: uninstall-icon

=== debian/changelog ===
nsxiv (31-1) unstable; urgency=medium

  * New upstream version 31
  * d/control:
    - Declare compliance with Debian Policy 4.6.2 (no changes)
  * d/copyright:
    - Bump years of upstream copyright
    - Bump years of Debian copyright
  * d/nsxiv.*:
    - Update paths for assets moved into etc/
  * d/patches:
    - Refresh patches (offsets/fuzz)
    - Drop patch webp-file-not-closed-properly (applied upstream)
    - Drop patch fix-animated-webp-loading (upstream changes)

 -- Nick Morrott <nickm@debian.org>  Mon, 06 Feb 2023 03:23:24 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libinotifytools0-dev,
                libwebp-dev,
                libxft-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://codeberg.org/nsxiv/nsxiv
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/nickm/nsxiv.git

## nsxiv 32

=== Makefile ===
--- 
+++ 
@@ -8,20 +8,14 @@
 lib_fonts_1 = -lXft -lfontconfig
 lib_exif_0 =
 lib_exif_1 = -lexif
-lib_gif_0 =
-lib_gif_1 = -lgif
-lib_webp_0 =
-lib_webp_1 = -lwebpdemux -lwebp
 
 nsxiv_cppflags = -D_XOPEN_SOURCE=700 \
-  -DHAVE_LIBGIF=$(HAVE_LIBGIF) -DHAVE_LIBEXIF=$(HAVE_LIBEXIF) \
-  -DHAVE_LIBWEBP=$(HAVE_LIBWEBP) -DHAVE_LIBFONTS=$(HAVE_LIBFONTS) \
+  -DHAVE_LIBEXIF=$(HAVE_LIBEXIF) -DHAVE_LIBFONTS=$(HAVE_LIBFONTS) \
   -DHAVE_INOTIFY=$(HAVE_INOTIFY) $(inc_fonts_$(HAVE_LIBFONTS)) \
   $(CPPFLAGS)
 
 nsxiv_ldlibs = -lImlib2 -lX11 \
-  $(lib_exif_$(HAVE_LIBEXIF)) $(lib_gif_$(HAVE_LIBGIF)) \
-  $(lib_webp_$(HAVE_LIBWEBP)) $(lib_fonts_$(HAVE_LIBFONTS)) \
+  $(lib_exif_$(HAVE_LIBEXIF)) $(lib_fonts_$(HAVE_LIBFONTS)) \
   $(LDLIBS)
 
 objs = autoreload.o commands.o image.o main.o options.o \

=== debian/changelog ===
nsxiv (32-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:57 +1100

nsxiv (32-1build1) noble; urgency=high

  * No change rebuild against libimlib2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:29 +0100

nsxiv (32-1) unstable; urgency=medium

  * New upstream version 32
  * d/copyright:
    - Refresh years of Debian copyright
  * d/nsxiv.mime: Synchronise supported MIME types with nsxiv.desktop.
    Thanks to Jochen Sprickerhof for the report and patch (Closes: #1053224)
  * d/patches:
    - Refresh patches (upstream changes)

 -- Nick Morrott <nickm@debian.org>  Wed, 21 Feb 2024 00:46:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nsxiv
 Section: graphics
 Priority: optional
-Maintainer: Nick Morrott <nickm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nick Morrott <nickm@debian.org>
 Build-Depends: debhelper-compat (=13),
                libexif-dev,
                libfontconfig-dev,

## nsxiv 33

=== debian/changelog ===
nsxiv (33-1) unstable; urgency=medium

  * New upstream version 33
  * d/control:
    - Declare compliance with Debian Policy 4.7.0
  * d/copyright:
    - Refresh years of Debian copyright
  * d/nsxiv.docs:
    - Add new migration from sxiv documentation
  * d/patches:
    - Refresh patch makefile-set-prefix (fuzz)

 -- Nick Morrott <nickm@debian.org>  Mon, 03 Feb 2025 00:13:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nsxiv
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nick Morrott <nickm@debian.org>
+Maintainer: Nick Morrott <nickm@debian.org>
 Build-Depends: debhelper-compat (=13),
                libexif-dev,
                libfontconfig-dev,
@@ -12,7 +11,7 @@
                libinotifytools0-dev,
                libwebp-dev,
                libxft-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/nsxiv/nsxiv
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/nickm/nsxiv.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf config.h version.h

override_dh_auto_install:
	dh_auto_install -- install-desktop install-icon

=== debian/watch ===
version=4
https://github.com/nsxiv/nsxiv/tags    .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
